# List tasks of an attempt

Endpoint: GET /api/attempts/{id}/tasks
Version: 1.0
Security: ApiKeyAuth

## Path parameters:

  - `id` (integer, required)
    attempt id

## Response 200 fields (application/json):

  - `tasks` (array)

  - `tasks.cancelRequested` (boolean, required)
    true if kill requested

  - `tasks.config` (object, required)
    task definition
    Example: {"echo>":"test"}

  - `tasks.error` (object, required)
    error information as JSON

  - `tasks.exportParams` (object, required)
    export parameters as JSON

  - `tasks.fullName` (string, required)
    full name of task
    Example: +wf1+g1+t1

  - `tasks.group` (boolean, required)
    flag of group task or not

  - `tasks.id` (string, required)
    task ID
    Example: 123456

  - `tasks.parentId` (string)
    parent task ID
    Example: 123455

  - `tasks.retryAt` (string)
    retried time
    Example: 2023-08-18T06:52:33Z

  - `tasks.startedAt` (string)
    started time
    Example: 2023-08-18T06:52:33Z

  - `tasks.state` (string, required)
    state of task
    Example: running

  - `tasks.stateParams` (object, required)
    state parameters as JSON

  - `tasks.storeParams` (object, required)
    store parameters as JSON

  - `tasks.updatedAt` (string, required)
    updated time
    Example: 2023-08-18T06:52:33Z

  - `tasks.upstreams` (array, required)
    upstream tasks
    Example: ["1547841"]

